Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation
Imports DevExpress.ExpressApp.ConditionalAppearance

<NonPersistent()> _
<NavigationItem(False), CreatableItem(False)> _
<DefaultClassOptions()> _
<Appearance("Hide OfferOutHeader", AppearanceItemType.ViewItem, "1=1", TargetItems:="OfferOutHeader", visibility:=Editors.ViewItemVisibility.Hide)> _
Public Class OffersOutCloneForCRM
    Inherits BaseObject
    Private _OfferOutHeader As OfferOutHeader
    Private _CRM_Opportunities As CRM_Opportunities
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub
    <RuleRequiredField("OffersOutCloneForCRM-CRM_Opportunities", DefaultContexts.Save)> _
    Property CRM_Opportunities As CRM_Opportunities
        Get
            Return _CRM_Opportunities
        End Get
        Set(value As CRM_Opportunities)
            SetPropertyValue("CRM_Opportunities", _CRM_Opportunities, value)
        End Set
    End Property
    Property OfferOutHeader As OfferOutHeader
        Get
            Return _OfferOutHeader
        End Get
        Set(value As OfferOutHeader)
            SetPropertyValue("OfferOutHeader", _OfferOutHeader, value)
        End Set
    End Property
End Class
